Bug 1261111 - RT-Gov 2.x database schema difference from 1.x schema
RT-Gov 2.x database schema difference from 1.x schema
Status: MODIFIED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Gary Brown
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 11:24 EDT by Julian Coleman
Modified: 2015-11-02 03:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RTGOV-666 Major Resolved Remove 'internal' field from DB schema 2016-02-11 04:18 EST

  None (edit)
Description Julian Coleman 2015-09-08 11:24:00 EDT
RT-Gov 2.x has added the column:

    internal boolean,

in the `RTGOV_ACTIVITIES' table.  This is problematic:

  a change from the 1.x schema
  boolean is only supported by H2, MySQL, and PostgreSQL
Comment 1 Gary Brown 2015-09-09 09:12:18 EDT
Proposal is to remove this field from the db schema, as it is only really used within ElasticSearch/Kibana to filter out internal services.

The benefit being that the db schema will not change, so no update/migration scripts required.
Comment 2 JBoss JIRA Server 2015-09-14 04:34:23 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-666 to Resolved
Comment 3 Gomathi Anandan 2015-09-14 11:07:02 EDT
This issue has been resolved by engineering.Acking it for this release.

Note You need to log in before you can comment on or make changes to this bug.